Skip to main content
GET
/
Weather
/
{weatherId}
Get a weather file
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Weather/{weatherId} \
  --header 'Authorization: Bearer <token>'
{
  "status": 1,
  "distance": 0,
  "locality": "Oxford",
  "stateProvince": "Nebraska",
  "stateProvinceCode": "NE",
  "country": "United States",
  "countryCode": "US",
  "region": "North America",
  "source": "Book2.xlsx",
  "stationName": "",
  "format": 3,
  "stationCode": null,
  "latitude": 40.1932678,
  "longitude": -99.7152252,
  "elevation": 665,
  "timeZone": -6,
  "timestampDefinition": 0,
  "timestampDefinitionOriginal": 0,
  "timeInterval": 60,
  "startDate": "2005-01-01T00:00:00",
  "endDate": "2005-01-01T23:00:00",
  "globalHorizontalIrradianceSum": 0.6,
  "diffuseHorizontalIrradianceSum": 0.6,
  "directNormalIrradianceSum": 0,
  "planeOfArrayIrradianceSum": null,
  "averageAirTemperature": 6.55,
  "maxAirTemperature": 8.25,
  "averageRelativeHumidity": 79.56,
  "averageWindSpeed": 3.25,
  "averagePrecipitableWater": null,
  "averageDewpoint": null,
  "averageSoilingLoss": null,
  "rainfallSum": 4.57,
  "weatherDataModelVersion": "8.1.2.15989",
  "dataProvider": 4,
  "pLevel": 0,
  "windSensorHeight": 10,
  "weatherDetails": null,
  "dataType": 1,
  "customerName": "",
  "apiLocked": false,
  "apiDownloaded": false,
  "weatherFileKey": "00000000-0000-0000-0000-000000000000",
  "offsetMinutes": 0,
  "usingSytemKey": false,
  "moduleTilt": null,
  "moduleAzimuth": null,
  "trackingType": null,
  "trackingBacktrackingType": 0,
  "minimumTrackingLimitAngleD": 0,
  "maximumTrackingLimitAngleD": null,
  "trackerPitchAngleD": 0,
  "trackerStowAngle": 0,
  "groundCoverageRatio": null,
  "id": 68915,
  "name": "Meteonorm - 40.193N - 99.715W",
  "description": null,
  "companyId": 1042,
  "company": null,
  "ownerId": 5093,
  "owner": {
    "claims": [],
    "logins": [],
    "roles": [],
    "company": null,
    "companyId": 1042,
    "firstName": "Jesse",
    "lastName": "Milam",
    "jobTitle": "Software Developer",
    "createdByUserId": 5091,
    "createdByUser": null,
    "status": 1,
    "settings": null,
    "costCenter": null,
    "migrationAgreementAcceptance": true,
    "clientCredentialsCreatedOnUTC": "2022-07-05T20:04:50.863",
    "userWeatherDownloads": null,
    "email": "jmilam@terabase.energy",
    "id": 5093
  },
  "createdDate": "2022-12-22T20:20:16.477",
  "lastModified": "2022-12-22T20:20:16.477",
  "lastModifiedById": 5093,
  "lastModifiedBy": {
    "claims": [],
    "logins": [],
    "roles": [],
    "company": null,
    "companyId": 1042,
    "firstName": "Jesse",
    "lastName": "Milam",
    "jobTitle": "Software Developer",
    "createdByUserId": 5091,
    "createdByUser": null,
    "status": 1,
    "settings": null,
    "costCenter": null,
    "migrationAgreementAcceptance": true,
    "clientCredentialsCreatedOnUTC": "2022-07-05T20:04:50.863",
    "userWeatherDownloads": null,
    "email": "jmilam@terabase.energy",
    "id": 5093
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Path Parameters

weatherId
integer
required

Response

Weather file

name
string
required
latitude
number
required
longitude
number
required
id
integer
read-only
description
string | null
status
enum<integer>

LibraryStatusEnum

Available options:
0,
1,
2,
3,
4,
5,
6
source
enum<integer>

WeatherSourceTypeAPIEnum

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
stationName
string
stationCode
string
format
enum<integer>

WeatherFormat

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
elevation
number
timeZone
number
timestampDefinition
enum<integer>

WeatherTimestampDefinitionEnum

Available options:
0,
1,
2,
3
timeInterval
integer
startDate
string<date-time>
endDate
string<date-time>
dataProvider
enum<integer>

WeatherDataProvider

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23
dataType
enum<integer>

WeatherDataType

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10
country
string
countryCode
string
stateProvince
string
stateProvinceCode
string
locality
string
region
string
globalHorizontalIrradianceSum
number
diffuseHorizontalIrradianceSum
number
directNormalIrradianceSum
number
planeOfArrayIrradianceSum
number
averageAirTemperature
number
averageWindSpeed
number
weatherDetails
object[]
pLevel
number
windSensorHeight
number
offsetMinutes
integer
moduleTilt
number
moduleAzimuth
number
trackingType
enum<integer>

DCFieldTrackingTypeEnum

Available options:
0,
1,
2
groundCoverageRatio
number
companyId
integer
read-only
createdDate
string<date-time>
read-only